Subject: Re: [PATCH 2/3] Add support for RX packet classification in a network device

From: [email-masked]
Date: Mon, 22 Dec 2008 16:36:31 -0800

>>
>> 1. I change AH_ESP_Vx_FLOW defines to AH_Vx_FLOW defines and add 2 new 
>> defines for ESP_Vx_FLOW at the end, with values 0x9 and 0xa.
> 
> If AH_ESP_Vx_FLOW has only ever been implemented as AH-only then perhaps
> this is reasonable.
> 
>> 2. I keep the AH_ESP_Vx_FLOW defines as is (but this will be dead code 
>> as it will not be used) and add 2 new AH_Vx_FLOW defines and 2 new 
>> ESP_Vx_FLOW defines at the end with values 0x9, 0xa, 0xb, 0xc.
> 
> This is safest.

OK, I will re-implement it this way then.

> 
> Also you are probably right to remove RXH_DEV_PORT as that appears to be
> an niu quirk that shouldn't be exposed.

That was the reasoning behind removing RXH_DEV_PORT.

rgds,
--santwona